BizKitHub
DocsAPI ReferenceSettings/bff/settings/env-add-variable
postSettingsAdmin BFF

/bff/settings/env-add-variable

Creates a new configuration variable for the organisation. Fails with 400 if the key already exists — use /settings/env-change-variable-value to update an existing one. A history entry is created for audit.

SettingspostBffSettingsEnv-add-variable

Parameters

JSON body

Request body

application/json
keystringRequired

Configuration key to create. Upper-case letters, digits and underscores, max 64 chars.

Length: 1–64
ExampleGOOGLE_ANALYTICS_ID
valuestringRequired

Initial value of the configuration variable.

expirationDatestringOptional

ISO date after which the value stops being valid.

Example2027-01-01

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the variable was created successfully.

Response example

application/json
{
  "success": false
}

Request example

POST /bff/settings/env-add-variable

post
curl -X POST "https://api.bizkithub.com/bff/settings/env-add-variable" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "key": "GOOGLE_ANALYTICS_ID",
  "value": "example_value",
  "expirationDate": "2027-01-01"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key